Bug 1180239 (CVE-2015-0205) - CVE-2015-0205 openssl: DH client certificates accepted without verification
Summary: CVE-2015-0205 openssl: DH client certificates accepted without verification
Keywords:
Status: NEW
Alias: CVE-2015-0205
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150108,reported=2...
Depends On: 1181013 1181015 1181016 1181017 1181018
Blocks: 1180194
TreeView+ depends on / blocked
 
Reported: 2015-01-08 16:57 UTC by Vasyl Kaigorodov
Modified: 2019-07-26 21:34 UTC (History)
25 users (show)

Fixed In Version: OpenSSL 1.0.1k, OpenSSL 1.0.0p
Doc Type: Bug Fix
Doc Text:
It was found that an OpenSSL server would, under certain conditions, accept Diffie-Hellman client certificates without the use of a private key. An attacker could use a user's client certificate to authenticate as that user, without needing the private key.
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0066 normal SHIPPED_LIVE Moderate: openssl security update 2015-01-22 02:28:18 UTC

Description Vasyl Kaigorodov 2015-01-08 16:57:47 UTC
OpenSSL released security advisory [1] which fixes the below issue:

An OpenSSL server will accept a DH certificate for client authentication
without the certificate verify message. This effectively allows a client
to authenticate without the use of a private key. This only affects servers
which trust a client certificate authority which issues certificates
containing DH keys: these are extremely rare and hardly ever encountered.

[1]: https://www.openssl.org/news/secadv_20150108.txt

Comment 1 Vincent Danen 2015-01-08 18:33:44 UTC
Upstream commit that looks to fix the problem:

https://github.com/openssl/openssl/commit/1421e0c584ae9120ca1b88098f13d6d2e90b83a3


External References:

https://www.openssl.org/news/secadv_20150108.txt

Comment 2 Huzaifa S. Sidhpurwala 2015-01-12 08:29:46 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1181013]

Comment 4 Fedora Update System 2015-01-13 00:02:36 UTC
openssl-1.0.1k-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Huzaifa S. Sidhpurwala 2015-01-16 04:15:04 UTC
Statement:

This issue does not affect the version of openssl and openssl097a as shipped with Red Hat Enterprise Linux 5. This issue does not affect the version of openssl098e as shipped with Red Hat Enterprise Linux 6 and 7.

Comment 6 Fedora Update System 2015-01-20 21:06:01 UTC
openssl-1.0.1e-41.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-01-21 21:29:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0066 https://rhn.redhat.com/errata/RHSA-2015-0066.html


Note You need to log in before you can comment on or make changes to this bug.